LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08013Bug reports[All Projects] Print Viewpublic2013-07-15 18:062013-08-04 21:54
Reportersilverlime 
Assigned Toc_schmitz 
PriorityurgentSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary08013: printanswershonorsconditions does not work
Descriptionthe variable $printanswershonorsconditions does not work. i put/set it in config-defaults.php like this:

$config['printanswershonorsconditions'] = 0;

but still the questions which are hidden/skipped by conditions are not being printed.

as i am a bit impatient due to a shortly starting project, i would accept also a workaround (if possible) and i am willing to donate for the solution.

thanks in advance !
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID130708
Browser
Database & DB-VersionMySQL 5.5
Operating System (Server)unknown
Webserver software & versionunknown
PHP Version5.3.8
Attached Files? file icon common_helper.php [^] (291,419 bytes) 2013-07-15 22:31
? file icon PrintanswersController.php [^] (10,080 bytes) 2013-07-15 22:32

- Relationships

-  Notes
User avatar (25796)
mfaber (developer)
2013-07-15 22:37

silverlime: tried to fix this quickly.

Please replace
common_helper.php in directory ./application/helpers
and
PrintanswersController.php in directory ./application/controllers
with the files attached.

Please give me feedback, if it works as expected.
User avatar (25797)
silverlime (reporter)
2013-07-16 08:36

Hi mfaber,

i replaced the files and it works fine. i checked also if the switch $config['printanswershonorsconditions'] in config-dafaults.php is working. and it is.

great job ! thank you for your fast help.

as promised i will donate (once more) for the limesurvey-project
User avatar (25803)
mfaber (developer)
2013-07-16 19:39

Thanks for the feedback! Good to hear it works! :)
User avatar (25814)
mfaber (developer)
2013-07-19 13:07

One more thing: So far the patch is only on your system.
I issued a pull request on Github (https://github.com/LimeSurvey/LimeSurvey/pull/97 [^] and https://github.com/LimeSurvey/LimeSurvey/pull/98 [^]) so the fix is (hopefully) part of next release of LS.

When updating your LS system, make sure that this bugreport is set to "resolved", otherwise the fix will not have been implemented and your patched files may be overwritten in the update process.
User avatar (25817)
silverlime (reporter)
2013-07-20 13:07

thank you, i will consider this when updating
User avatar (25883)
mfaber (developer)
2013-07-28 21:12

Carsten: you seem the man for merging :)
Can you have a look...
https://github.com/LimeSurvey/LimeSurvey/pull/97 [^]
https://github.com/LimeSurvey/LimeSurvey/pull/98 [^]

And there are more open PR from me waiting :). Nothing urgent, whenever you have time...
User avatar (25892)
mfaber (developer)
2013-07-30 16:17

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12788 [^]
User avatar (25893)
mfaber (developer)
2013-07-30 16:18

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12790 [^]
User avatar (25894)
mdekker (developer)
2013-07-30 16:18

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=12791 [^]
User avatar (25895)
mdekker (developer)
2013-07-30 16:21

Thanks to mfaber for the pull
User avatar (25916)
c_schmitz (administrator)
2013-08-04 21:54

2.00+ Build 130802 released

- Related Changesets
LimeSurvey: master 259e9552
Timestamp: 2013-07-15 20:28:31
Author: mfaber
Committer: mfaber
Committer: mfaber
Details ] Diff ]
fix issue 08013: 'printanswershonorsconditions' does not work

DEV: implementation was missing in getFullResponseTable() and
PrintanswersControllers.php
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/PrintanswersController.php Diff ] File ]
mod - application/helpers/common_helper.php Diff ] File ]
LimeSurvey: 2.05 6a6b6324
Timestamp: 2013-07-15 20:28:31
Author: mfaber
Committer: unknown
Committer: unknown
Details ] Diff ]
fix issue 08013: 'printanswershonorsconditions' does not work

DEV: implementation was missing in getFullResponseTable() and
PrintanswersControllers.php
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/PrintanswersController.php Diff ] File ]
mod - application/helpers/common_helper.php Diff ] File ]
LimeSurvey: master 4eb637cd
Timestamp: 2013-07-30 14:17:22
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Merge pull request #97 from mfaber/printanswers

Fixex issue 08013: 'printanswershonorsconditions' does not work
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/PrintanswersController.php Diff ] File ]
mod - application/helpers/common_helper.php Diff ] File ]
LimeSurvey: 2.05 ee162b39
Timestamp: 2013-07-30 14:18:13
Author: mdekker
Committer: Menno Dekker
Details ] Diff ]
Merge pull request #98 from mfaber/printanswers205

Fixed issue 08013: 'printanswershonorsconditions' does not work
mod - application/config/config-defaults.php Diff ] File ]
mod - application/controllers/PrintanswersController.php Diff ] File ]
mod - application/helpers/common_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-15 18:06 silverlime New Issue
2013-07-15 22:23 mfaber Assigned To => mfaber
2013-07-15 22:23 mfaber Status new => assigned
2013-07-15 22:23 mfaber Status assigned => acknowledged
2013-07-15 22:31 mfaber File Added: common_helper.php
2013-07-15 22:32 mfaber File Added: PrintanswersController.php
2013-07-15 22:37 mfaber Note Added: 25796
2013-07-15 22:37 mfaber Status acknowledged => feedback
2013-07-16 08:36 silverlime Note Added: 25797
2013-07-16 08:36 silverlime Status feedback => assigned
2013-07-16 19:39 mfaber Note Added: 25803
2013-07-19 13:07 mfaber Note Added: 25814
2013-07-20 13:07 silverlime Note Added: 25817
2013-07-28 21:09 mfaber Resolution open => fixed
2013-07-28 21:09 mfaber Fixed in Version => 2.00+
2013-07-28 21:10 mfaber Assigned To mfaber => c_schmitz
2013-07-28 21:12 mfaber Note Added: 25883
2013-07-30 16:17 mfaber Changeset attached => LimeSurvey master 259e9552
2013-07-30 16:17 mdekker Changeset attached => LimeSurvey master 4eb637cd
2013-07-30 16:17 mfaber Note Added: 25892
2013-07-30 16:18 mfaber Changeset attached => LimeSurvey 2.05 6a6b6324
2013-07-30 16:18 mdekker Changeset attached => LimeSurvey 2.05 ee162b39
2013-07-30 16:18 mfaber Note Added: 25893
2013-07-30 16:18 mdekker Note Added: 25894
2013-07-30 16:21 mdekker Note Added: 25895
2013-07-30 16:21 mdekker Status assigned => resolved
2013-08-04 21:54 c_schmitz Note Added: 25916
2013-08-04 21:54 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker